Subject: bug#16314: Macro dependency tracking issue in guile auto compiler

From: Mark H Weaver <[email-masked]>
Date: Wed, 15 Jan 2014 15:18:34 -0500

severity 16314 wishlist
thanks

Panicz Maciej Godek <[email-masked]> writes:
> I've noticed that if macros are ever used in the process
> of auto-compilation, the dependency is forgotten, so
> even if a module that contains the definition of a macro
> gets recompiled, the module that uses the macro remains
> unchanged.

Yes, this is a known issue.  I agree that it would be nice to improve
this -- perhaps in 2.2 -- but I'm also worried that it might lead to
absurd amounts of needless recompiling, because one often makes minor
changes to modules that export macros, without the macros being changed
at all.

I'm marking this as a "wishlist" item.

     Thanks,
       Mark